<?xml version="1.0" encoding="UTF-8"?>
<!--
   Copyright (C) 2008 Cognos ULC, an IBM Company. All rights reserved.
   Cognos (R) is a trademark of Cognos ULC, (formerly Cognos Incorporated).
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:out="dummy-uri" 
	xmlns:wl="http://developer.cognos.com/schemas/xts/logicsheets/welcome/wl" 
	xmlns:mf="http://developer.cognos.com/schemas/xts/logicsheets/presentation/main/mf" 
	xmlns:cp="http://developer.cognos.com/schemas/xts/logicsheets/xslt/presentation/controls/presentation/" 
	xmlns:pf="http://developer.cognos.com/schemas/xts/pf" xmlns:xtsext="xalan://com.cognos.xts.ext.XTSExt" 
	xmlns:xts="http://developer.cognos.com/schemas/xts/">
	
	<xsl:output method="xml" encoding="UTF-8" indent="no"/>
	<xsl:namespace-alias stylesheet-prefix="out" result-prefix="xsl"/>	
	
	<!-- 	Default welcome screen layout/rendering	-->
	<xsl:template match="wl:welcome">
		<!-- In lite mode we skip rendering the header and footer -->
		<out:variable name="liteMode" select="/root/env/param[@name='basewelcome']"/>
				
		<!-- Header -->
		<!--
		<out:if test="not($liteMode)">
			<table border="0" cellpadding="0" cellspacing="0" width="100%" class="welcomeHeader">
				<tr>
					<td>
						<out:call-template name="renderCompanyLogo"/>
					</td>
					<td class="welcomeBannerMiddle">
					</td>
					<td valign="top" align="right">
						<out:call-template name="renderHeaderOptions"/>
					</td>
				</tr>
			</table>
		</out:if>
		
		<out:if test="$liteMode">
			<out:call-template name="renderHeaderOptions"/>
		</out:if>
		-->
		
		
		<!-- The main course -->
		<table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%" class="welcomeMiddlePanel">
			<tr>
				<!--
				<td>
					<out:call-template name="renderTools"/>
				</td>
				-->
				
				<td>
				<script language="javascript">
  				function showWelcomeClicked(checked)
   				{
   					var sBackURL = "<out:value-of select="$gateway"/>?b_action=xts.run&amp;m=portal/welcome/welcome.xts";
 					<out:if test="/root/env/param[@name='basewelcome']">
 						sBackURL += "&amp;basewelcome=yes";	
 					</out:if>
					<out:if test="/root/env/param[@name='wtarget']">
 						sBackURL += "&amp;wtarget=" + "<out:value-of select="xtsext:javascriptencode(/root/env/param[@name='wtarget'])"/>";	
 					</out:if>

 					var showWelcomePage;
 					if (checked)
 						showWelcomePage = 'true';
 					else
 						showWelcomePage = 'false';

					document.updateOptionsForm.m_po_showWelcomePage.value = showWelcomePage;
					document.updateOptionsForm.backURL.value = sBackURL;
					document.updateOptionsForm.submit();
 					}
 				</script>
				<form name="updateOptionsForm" method="post" action="{'{$gateway}'}" style="margin:0px">
					<input name="b_action" type="hidden" value="xts.run"/>
					<input name="m" type="hidden" value="portal/submit.xts"/>
					<input name="m_obj" type="hidden" value="~"/>
					<input name="m_class" type="hidden" value="account"/>
					<input name="ifrmcmd" type="hidden" value="save"/>
					<input name="m_po_showWelcomePage" value="" type="hidden"/>
					<input name="backURL" value="" type="hidden"/>
					<!-- Insert a cafcontextid if it is needed -->
					<out:if test="xtsext:cafaction('get_extendedcontextid', '') = 'true'">
						<input type="hidden" name="ui.cafcontextid">
							<out:attribute name="value">
								<out:value-of select="xtsext:cafaction(concat('get_contextid_settemplatename_mainframeworkxsl_setcomponent_ps_setpassportid_', $passport), '')"/>
							</out:attribute>
						</input>
					</out:if>
				</form>
				</td>				
				
				<td height="100%">
					<iframe style="border-right: 1px solid white; overflow-x: hidden; overflow-y: auto;" frameborder="0" width="100%" height="100%" src="/help/topic/com.ibm.rational.raer.welcome.doc/Insight_welcome.html?noframes=true"/>
				</td>				
			</tr>
		</table>
		
			
		<!-- Footer -->
		<!--
		<out:if test="not($liteMode)">
			<table border="0" width="100%" cellpadding="0" cellspacing="0" class="welcomeFooter">
				<tr>
					<td align="left">
						<out:call-template name="renderLegalNotice"/>
					</td>
					<td align="right">
						<out:call-template name="renderCognosMkt"/>
					</td>
				</tr>
			</table>	
		</out:if>
		-->
		
		
	</xsl:template>
	
		
	<!-- Welcome page parts -->
	<xsl:template match="wl:common-templates">			
		<!-- 
				========================================================================================		
				Build the tools inventory one by one.  Start with the built-in ones then the custom ones. 
				========================================================================================				
		-->
		<out:variable name="tools">
						
			<!-- Home -->
			<tool name="Home">
				<xsl:call-template name="buildActionMarkUp">
					<xsl:with-param name="tool">
						<heading><xts:string id="IDS_WELCOME_GO_HOME"/></heading>						
						<action>launchWelcomeTool('home')</action>
						<out:attribute name="src"><out:value-of select="$brand_images"/>home_32.gif</out:attribute>
						<body>
							<xts:string id="IDS_WELCOME_VIEW_GO_HOME"/>								
						</body>
					</xsl:with-param>	
				</xsl:call-template>	
			</tool>
						
			<!-- Portal -->
			<tool name="ViewCognosContent">
				<xsl:call-template name="buildActionMarkUp">
					<xsl:with-param name="tool">
						<heading><xts:string id="IDS_WELCOME_VIEW_BI"/></heading>						
						<action>launchWelcomeTool('cc')</action>
						<out:attribute name="src"><out:value-of select="$brand_images"/>cognos_connection_app_32.gif</out:attribute>
						<body>
							<out:variable name="ccLnk">
								<xts:string id="IDS_PORTAL"/>
							</out:variable>
							<xts:string id="IDS_WELCOME_VIEW_BI_DESC">
								<xts:param name="ccLink"><out:value-of select="$ccLnk"/></xts:param>
							</xts:string>
						</body>
					</xsl:with-param>	
				</xsl:call-template>	
			</tool>
			
			<!-- Cognos Administration -->			
			<out:if test="$hasAdminCapability"> 
				<tool name="Administration">
					<xsl:call-template name="buildActionMarkUp">
						<xsl:with-param name="tool">
							<heading><xts:string id="IDS_WELCOME_ADMINISTER_CONTENT"/></heading>
							<action>launchWelcomeTool('ac')</action>
							<out:attribute name="src"><out:value-of select="$brand_images"/>cognos_administration_app_32.gif</out:attribute>
							<body>
								<out:variable name="adminLnk">
									<xts:string id="IDS_TOOLS_CA"/>
								</out:variable>
								<xts:string id="IDS_WELCOME_COGNOS_ADMINISTRATION">
									<xts:param name="adminLink"><out:value-of select="$adminLnk"/></xts:param>
								</xts:string>
							</body>
						</xsl:with-param>	
					</xsl:call-template>	
				</tool>
			</out:if> 

			<!-- Contributor -->
			<out:if test="$userCanUsePlanningContributor">
				<tool name="Planning">
					<xsl:call-template name="buildActionMarkUp">
						<xsl:with-param name="tool">
							<heading><xts:string id="IDS_WELCOME_PLANNING"/></heading>
							<action>launchWelcomeTool('pc')</action>
							<out:attribute name="src"><out:value-of select="$brand_images"/>contributor_app_32.gif</out:attribute>
							<body>
								<out:variable name="planningLnk">
									<xts:string id="IDS_TOOLS_CONTRIBUTOR"/>
								</out:variable>
								<xts:string id="IDS_WELCOME_VIEW_PLANNING">
									<xts:param name="planningLink">
										<out:value-of select="$planningLnk"/>
									</xts:param>
								</xts:string>
							</body>
						</xsl:with-param>
					</xsl:call-template>		
				</tool>
			</out:if>
			
			<!-- Controller -->
			<out:if test="$userCanUseControllerStudio">
				<tool name="Controller">
					<xsl:call-template name="buildActionMarkUp">
						<xsl:with-param name="tool">
							<heading><xts:string id="IDS_WELCOME_CONTROLLER"/></heading>
							<action>cognosLaunch('ui.gateway', sGateway, 'ui.tool', 'Controller')</action>
							<out:attribute name="src"><out:value-of select="$brand_images"/>controller_app_32.gif</out:attribute>
							<body>
								<out:variable name="controllerLnk">
									<xts:string id="IDS_TOOLS_CONTROLLER"/>
								</out:variable>
								<xts:string id="IDS_WELCOME_VIEW_CONTROLLER">
									<xts:param name="controllerLink">
										<out:value-of select="$controllerLnk"/>
									</xts:param>
								</xts:string>
							</body>
						</xsl:with-param>
					</xsl:call-template>		
				</tool>
			</out:if>
			
			<!-- CMM -->
			<out:if test="$userCanUseMetricsManager">
				<tool name="MetricsManager">
					<xsl:call-template name="buildActionMarkUp">
						<xsl:with-param name="tool">
							<heading><xts:string id="IDS_WELCOME_MONITOR_PERFORMANCE"/></heading>
							<action>launchWelcomeTool('cmm')</action>
							<out:attribute name="src"><out:value-of select="$brand_images"/>metric_studio_app_32.gif</out:attribute>
							<body>
								<out:variable name="cmmLnk">
									<xts:string id="IDS_TOOL_CMM"/>
								</out:variable>
								<xts:string id="IDS_WELCOME_VIEW_CMM">
									<xts:param name="cmmLink">
										<out:value-of select="$cmmLnk"/>
									</xts:param>
								</xts:string>
							</body>
						</xsl:with-param>
					</xsl:call-template>		
				</tool>
			</out:if>
			
			<!-- Adaptive Analytics -->
			<out:if test="$userCanUseAdaptiveAnalyticsAdministration">
				<tool name="AdaptiveAnalytics">
					<xsl:call-template name="buildActionMarkUp">
						<xsl:with-param name="tool">
							<heading><xts:string id="IDS_WELCOME_ANALYTICS_DATA"/></heading>
							<action>launchWelcomeTool('aa')</action>
							<out:attribute name="src"><out:value-of select="$brand_images"/>adaptive_analytics_app_32.gif</out:attribute>
							<body>
								<out:variable name="analyticsLnk">
									<xts:string id="IDS_TOOLS_ANALYTICS"/>
								</out:variable>
								<xts:string id="IDS_WELCOME_VIEW_ANALYTICS">
									<xts:param name="analyticsLink">
										<out:value-of select="$analyticsLnk"/>
									</xts:param>
								</xts:string>
							</body>
						</xsl:with-param>
					</xsl:call-template>		
				</tool>
			</out:if>
			
			<!-- query Studio -->
			<out:if test="$userCanUseFullQS"> 
				<tool name="QueryStudio">
					<xsl:call-template name="buildActionMarkUp">
						<xsl:with-param name="tool">
							<heading><xts:string id="IDS_WELCOME_QUERY_DATA"/></heading>
							<action>launchWelcomeTool('qs')</action>
							<out:attribute name="src"><out:value-of select="$brand_images"/>query_studio_app_32.gif</out:attribute>
							<body>
								<out:variable name="qryLnk">
									<xts:string id="IDS_TOOLS_QUERY"/>
								</out:variable>
								<xts:string id="IDS_WELCOME_CREATE_NEW_QUERY">
									<xts:param name="queryLink">
										<out:value-of select="$qryLnk"/>
									</xts:param>
								</xts:string>
							</body>
						</xsl:with-param>
					</xsl:call-template>		
				</tool>
			</out:if> 
			
			<!-- Analysis Studio -->
			<out:if test="$userCanUseANS">
				<tool name="AnalysisStudio">
					<xsl:call-template name="buildActionMarkUp">
						<xsl:with-param name="tool">
							<heading><xts:string id="IDS_WELCOME_ANALYSE_DATA"/></heading>
							<action>launchWelcomeTool('as')</action>
							<out:attribute name="src"><out:value-of select="$brand_images"/>analysis_studio_app_32.gif</out:attribute>
							<body>
								<out:variable name="ppLnk">
									<xts:string id="IDS_TOOLS_ANALYSIS"/>
								</out:variable>
								<xts:string id="IDS_WELCOME_CREATE_NEW_ANALYSIS">
									<xts:param name="analysisLink">
										<out:value-of select="$ppLnk"/>
									</xts:param>
								</xts:string>
							</body>
						</xsl:with-param>
					</xsl:call-template>		
				</tool>
			</out:if>
			
			<!-- Powerplay -->
			<out:if test="$userCanUsePPS">
				<tool name="PowerplayStudio">
					<xsl:call-template name="buildActionMarkUp">
						<xsl:with-param name="tool">
							<heading><xts:string id="IDS_WELCOME_ANALYSE_DATA_POWERPLAY"/></heading>
							<action>launchWelcomeTool('pp')</action>
							<out:attribute name="src"><out:value-of select="$brand_images"/>powerplay_studio_app_32.gif</out:attribute>
							<body>
								<out:variable name="pp2Lnk">
									<xts:string id="IDS_TOOLS_POWERPLAY"/>
								</out:variable>
								<xts:string id="IDS_WELCOME_CREATE_NEW_POWERPLAY">
									<xts:param name="powerplayLink">
										<out:value-of select="$pp2Lnk"/>
									</xts:param>
								</xts:string>
							</body>
						</xsl:with-param>
					</xsl:call-template>		
				</tool>
			</out:if>

			<!-- Report studio -->
			<out:if test="$userCanUseFullRS">
				<tool name="ReportStudio">
					<xsl:call-template name="buildActionMarkUp">
						<xsl:with-param name="tool">
							<heading><xts:string id="IDS_WELCOME_CREATE_NEW"/></heading>
							<action>launchWelcomeTool('rs')</action>
							<out:attribute name="src"><out:value-of select="$brand_images"/>report_studio_app_32.gif</out:attribute>
							<body>
								<out:variable name="rptLnk">
									<xts:string id="IDS_TOOLS_REPORT"/>
								</out:variable>
								<xts:string id="IDS_WELCOME_CREATE_NEW_REPORT">
									<xts:param name="reportLink">
										<out:value-of select="$rptLnk"/>
									</xts:param>
								</xts:string>
							</body>
						</xsl:with-param>	
					</xsl:call-template>	
				</tool>
			</out:if>
			
			<!-- agent studio -->
			<out:if test="$userCanUseAGS">
				<tool name="EventStudio">
					<xsl:call-template name="buildActionMarkUp">
						<xsl:with-param name="tool">
							<heading><xts:string id="IDS_WELCOME_CREATE_AGT"/></heading>
							<action>launchWelcomeTool('es')</action> 
							<out:attribute name="src"><out:value-of select="$brand_images"/>event_studio_app_32.gif</out:attribute>
							<body>
								<out:variable name="agsLnk">
									<xts:string id="IDS_TOOLS_AGENT"/>
								</out:variable>
								<xts:string id="IDS_WELCOME_CREATE_NEW_AGENT">
									<xts:param name="agentLink">
										<out:value-of select="$agsLnk"/>
									</xts:param>
								</xts:string>
							</body>
						</xsl:with-param>
					</xsl:call-template>		
				</tool>
			</out:if>
			
			<!-- custom tools -->
			<out:for-each select="/root/welcome/tool[@type='custom' and (not(@group) or @group = '')]">
				<tool>
					<out:attribute name="name"><out:value-of select="@name"/></out:attribute>
					<out:attribute name="show"><out:value-of select="@show"/></out:attribute>
					<xsl:call-template name="buildCustomActionMarkUp">
						<xsl:with-param name="tool">
							<heading><out:copy-of select="./heading[@xml:lang = string($productLocale)]"/></heading>	
							<body><out:copy-of select="./body[@xml:lang = string($productLocale)]"/></body>
						</xsl:with-param>
					</xsl:call-template>		
				</tool>
			</out:for-each>
			
		</out:variable>

		
		
		
		
		
		
		
		
		<!-- 
				========================================================================================		
				Output templates to build markup for the bits and pieces that appear on the screen 
				========================================================================================				
		-->
		
		<!-- logo -->
		<out:template name="renderCompanyLogo">
			<div class="welcomeLogoContainer">
				<div class="welcomeHeaderLinkContainer">
					<span class="welcomeHeaderLink"><a href="javascript:launchWelcomeTool('home')"><xts:string id="IDS_WELCOME_GO_HOME"/></a></span>
					<span class="welcomeHeaderLink"><a href="javascript:launchWelcomeTool('ac')"><xts:string id="IDS_WELCOME_GROUP_ADMINISTRATION"/></a></span>
				</div>
			</div>
		</out:template>
		
		
		<!-- Header Options -->
		<out:template name="renderHeaderOptions">			
			<table border="0" cellpadding="0" cellspacing="0" class="welcomeHeaderOptions">	
				<tr>
					<td width="100%">				
					</td>
									
					<!-- User Name  -->
					<out:if test=" $is-named = '1' ">
						<td>
							<div class="welcomeUserNameContainer">
								<out:value-of select="key('session-param', 'e_user')"/>
							</div>						
						</td>
					</out:if>
					
					<!-- Logon -->
					<td class="welcomeAuthentication">
					<out:if test="$is-secure = '1'">
						<out:if test="not(contains($ui_black_list, 'CC_HEADER_MENU_logon')) and key('session-param', 'show_logon') = 'true'">
							<out:choose>
								<out:when test="$is-named='1'">
									<a onclick="delCookie('cc_state');" 
										href="{'{$gateway}?b_action=xts.run&amp;m=portal/main.xts&amp;startwel=yes&amp;h_CAM_action=logon&amp;m_reload='}">
										<out:if test="$anchorTarget != ''">
											<out:attribute name="target">
												<out:value-of select="$anchorTarget"/>
											</out:attribute>
										</out:if>
										<xts:string id="IDS_TOOLS_LOGON"/>
									</a>
		 							&#160;
		 						</out:when>
								<out:otherwise>
									<a onclick="delCookie('cc_state')" href="{'{$gateway}?b_action=xts.run&amp;m=portal/main.xts&amp;startwel=yes&amp;h_CAM_action=logon&amp;m_reload='}">
										<out:if test="$anchorTarget != ''">
											<out:attribute name="target">
												<out:value-of select="$anchorTarget"/>
											</out:attribute>
										</out:if>
										<xts:string id="IDS_TOOLS_LOGON"/>
									</a>
		 							&#160;
		 						</out:otherwise>
							</out:choose>
						</out:if>
					
						<!-- Logoff -->
						<out:if test="$is-named = '1' and not(contains($ui_black_list, 'CC_HEADER_MENU_logoff'))">
							<a onclick="delCookie('cc_state');" href="{'{$gateway}'}?b_action=xts.run&amp;m={'{$app}'}/logoff.xts&amp;h_CAM_action=logoff">
								<out:if test="$anchorTarget != ''">
									<out:attribute name="target">
										<out:value-of select="$anchorTarget"/>
									</out:attribute>
								</out:if>
								<xts:string id="IDS_TOOLS_LOGOFF"/>
							</a>
						</out:if>
					</out:if>		
					</td>
				</tr>
			</table>
		</out:template>
	
		
		
		<!-- Tools -->
		<out:template name="renderTools">
			
			<!-- First: sort the tools into groups -->			
			<!-- Portal -->
			<out:variable name="portalGroup">
				<out:for-each select="/root/welcome/tool[@group = 'portal']">					
					<out:variable name="userAllowedToSeeThisTool">
						<out:call-template name="isVisible">
							<out:with-param name="visibility" select="@show"/>
						</out:call-template>
					</out:variable>
					<out:variable name="currentToolName" select="@name"/>					
					<out:if test="$userAllowedToSeeThisTool = 'true'">
						<out:copy-of select="$tools/tool[@name = $currentToolName]/*"/>
					</out:if>					
				</out:for-each>
			</out:variable>
			
			<!-- Admin -->
			<out:variable name="adminGroup">
				<out:for-each select="/root/welcome/tool[@group = 'admin']">					
					<out:variable name="userAllowedToSeeThisTool">
						<out:call-template name="isVisible">
							<out:with-param name="visibility" select="@show"/>
						</out:call-template>
					</out:variable>
					<out:variable name="currentToolName" select="@name"/>					
					<out:if test="$userAllowedToSeeThisTool = 'true'">
						<out:copy-of select="$tools/tool[@name = $currentToolName]/*"/>
					</out:if>					
				</out:for-each>
			</out:variable>
			
			<!-- CPM -->
			<out:variable name="appGroup">
				<out:for-each select="/root/welcome/tool[@group = 'app']">					
					<out:variable name="userAllowedToSeeThisTool">
						<out:call-template name="isVisible">
							<out:with-param name="visibility" select="@show"/>
						</out:call-template>
					</out:variable>
					<out:variable name="currentToolName" select="@name"/>					
					<out:if test="$userAllowedToSeeThisTool = 'true'">
						<out:copy-of select="$tools/tool[@name = $currentToolName]/*"/>
					</out:if>					
				</out:for-each>
			</out:variable>
						
			<!-- Custom tools that don't belong in any of the built in groups -->
			<out:variable name="noNameGroup">
				<out:for-each select="/root/welcome/tool[@group = '' or not(@group)]">					
					<out:variable name="userAllowedToSeeThisTool">
						<out:call-template name="isVisible">
							<out:with-param name="visibility" select="@show"/>
						</out:call-template>
					</out:variable>
					<out:variable name="currentToolName" select="@name"/>					
					<out:if test="$userAllowedToSeeThisTool = 'true'">
						<out:copy-of select="$tools/tool[@name = $currentToolName]/*"/>
					</out:if>					
				</out:for-each>
			</out:variable>
			
			<table border="0" width="100%" cellpadding="0" cellspacing="0">					
				<tr>
					<!-- Portal Stuff - there are always items to show here. -->						
					<!-- This can be empty if the welcome.xml is from blaring or older  and there are
					no group attributes -->
					<out:if test="$portalGroup/*">
						<td valign="top" width="50%" class="welcomeToolGroupContainer">							
							<table border="0" width="100%" cellpadding="0" cellspacing="0">		
								<tr>
									<td><div class="welcomeToolGroupHeaderLeft"/></td>
									<td class="welcomeToolGroupHeaderContainer"><xts:string id="IDS_WELCOME_GROUP_MY_CONTENT"/></td>
									<td><div class="welcomeToolGroupHeaderRight"/></td>
								</tr>
								<tr>
									<td colspan="2" class="welcomeToolGroupBody"><out:copy-of select="$portalGroup"/></td>
									<td valign="top" align="right"><div class="welcomeToolGroupEdge"/></td>						
								</tr>
							</table>
						</td>											
					</out:if>
					<!-- App Stuff -->
					<out:if test="$appGroup/*">
						<td valign="top" width="50%" class="welcomeToolGroupContainer" rowspan="33">						
							<table border="0" width="100%" cellpadding="0" cellspacing="0">		
								<tr>
									<td><div class="welcomeToolGroupHeaderLeft"/></td>
									<td class="welcomeToolGroupHeaderContainer"><xts:string id="IDS_WELCOME_GROUP_MY_ACTIONS"/></td>
									<td><div class="welcomeToolGroupHeaderRight"/></td>
								</tr>
								<tr>
									<td colspan="2" class="welcomeToolGroupBody"><out:copy-of select="$appGroup"/></td>				
									<td valign="top" align="right"><div class="welcomeToolGroupEdge"/></td>				
								</tr>
							</table>																				
						</td>
					</out:if>							
				</tr>	
									
				<tr>						
					<!-- Admin Stuff -->
					<out:if test="$adminGroup/*">
						<td valign="top" width="50%" class="welcomeToolGroupContainer">							
							<table border="0" width="100%" cellpadding="0" cellspacing="0">		
								<tr>
									<td><div class="welcomeToolGroupHeaderLeft"/></td>
									<td class="welcomeToolGroupHeaderContainer"><xts:string id="IDS_WELCOME_GROUP_ADMINISTRATION"/></td>
									<td><div class="welcomeToolGroupHeaderRight"/></td>
								</tr>
								<tr>
									<td colspan="2" class="welcomeToolGroupBody"><out:copy-of select="$adminGroup"/></td>
									<td valign="top" align="right"><div class="welcomeToolGroupEdge"/></td>			
								</tr>
							</table>
						</td>
					</out:if>
				</tr>	
			
				<out:if test="$noNameGroup/*">
					<tr>					
						<td valign="top" width="50%" class="welcomeToolGroupContainer">						
							<table border="0" width="100%" cellpadding="0" cellspacing="0">		
								<tr>
									<td><div class="welcomeToolGroupHeaderLeft"/></td>
									<td class="welcomeToolGroupHeaderContainer"></td>
									<td><div class="welcomeToolGroupHeaderRight"/></td>
								</tr>
								<tr>
									<td colspan="2" class="welcomeToolGroupBody"><out:copy-of select="$noNameGroup"/></td>				
									<td valign="top" align="right"><div class="welcomeToolGroupEdge"/></td>				
								</tr>
							</table>																				
						</td>
					</tr>		
				</out:if>	
			</table>

		</out:template>
		
		
		
		<!-- Show/Hide welcome screen -->
		<out:template name="renderWelcomeScreenVisibilityControl">
			<div class="welcomeHideShowContainer">
				<script language="javascript">
  				function showWelcomeClicked()
   				{
   					var sBackURL = "<out:value-of select="$gateway"/>?b_action=xts.run&amp;m=portal/welcome/welcome.xts";
 							<out:if test="/root/env/param[@name='basewelcome']">
 								sBackURL += "&amp;basewelcome=yes";	
 							</out:if>
							<out:if test="/root/env/param[@name='wtarget']">
 								sBackURL += "&amp;wtarget=" + "<out:value-of select="xtsext:javascriptencode(/root/env/param[@name='wtarget'])"/>";	
 							</out:if>

 							var showWelcomePage;
 							if (document.welcomdisform.m_p_do_not_show_welcome.checked)
 								showWelcomePage = 'true';
 							else
 								showWelcomePage = 'false';

						document.updateOptionsForm.m_po_showWelcomePage.value = showWelcomePage;
						document.updateOptionsForm.backURL.value = sBackURL;
						document.updateOptionsForm.submit();
 					}
 				</script>
				<form name="welcomdisform" style="margin:0px">
					<table border="0" cellpadding="0" cellspacing="0">
						<tr>
							<td>
								<input onclick="showWelcomeClicked()" name="m_p_do_not_show_welcome" type="checkbox">
									<out:if test="not(string(/root/user/param[@name='showWelcomePage']) = 'false')">
										<out:attribute name="checked">yes</out:attribute>
									</out:if>
								</input>
							</td>
							<td class="welcomeHideShowText">
								<xts:string id="IDS_WELCOME_SHOW_PAGE"/>
							</td>
						</tr>
					</table>
				</form>
				<form name="updateOptionsForm" method="post" action="{'{$gateway}'}" style="margin:0px">
					<input name="b_action" type="hidden" value="xts.run"/>
					<input name="m" type="hidden" value="portal/submit.xts"/>
					<input name="m_obj" type="hidden" value="~"/>
					<input name="m_class" type="hidden" value="account"/>
					<input name="ifrmcmd" type="hidden" value="save"/>
					<input name="m_po_showWelcomePage" value="" type="hidden"/>
					<input name="backURL" value="" type="hidden"/>
					<!-- Insert a cafcontextid if it is needed -->
					<out:if test="xtsext:cafaction('get_extendedcontextid', '') = 'true'">
						<input type="hidden" name="ui.cafcontextid">
							<out:attribute name="value">
								<out:value-of select="xtsext:cafaction(concat('get_contextid_settemplatename_mainframeworkxsl_setcomponent_ps_setpassportid_', $passport), '')"/>
							</out:attribute>
						</input>
					</out:if>
				</form>
			</div>
		</out:template>
		
		
		<!-- Quick Tour -->
		<out:template name="renderQuickTour">
			<script language="javascript" src="{'{$webRoot}'}/ccl/helpDocs.js"></script>
			<div class="welcomeQTContainer">
				<div class="welcomeQTButton" onclick="gotoTours('{'{$mappedProductLocale}'}', 'crntours')">
					<xts:string id="IDS_WELCOME_QUICK_TOUR"/>
				</div>
			</div>
		</out:template>
		
		<!-- Legal Notice -->
		<out:template name="renderLegalNotice">
			<div class="welcomeLegalNotice">
				<xts:string id="IDS_COPYRIGHT"/>
<!--				<br/>
				<xts:string id="IDS_WELCOME_TRADEMARK"/> -->
			</div>
		</out:template>
		
		<!-- IBM Logo  -->
		<out:template name="renderCognosMkt">
			<div class="welcomeLogoContainerSmall"/>
		</out:template>
		
		
		<!-- 
				Helper template:
				Evaluates a "show" attribute on a customized UI element to determine if the element can be shown 
				Takes a string value (@show) and returns a boolean.		
		--> 
		<out:template name="isVisible">
			<out:param name="visibility"/>
				<out:value-of select="(string($visibility) = '') or
					(contains( concat(' ', $visibility, ' '), 'Administrators') and $isAdminUser)  or  
	 				(contains(concat(' ', $visibility, ' ') , 'QSUsers') and $userCanUseFullQS)   or  
	 				(contains(concat(' ', $visibility, ' ') , 'RSUsers') and $userCanUseFullRS) or  
	 				(contains(concat(' ', $visibility, ' ') , 'Consumers') and $is-named='1') or 
	 				(contains(concat(' ', $visibility, ' ') , 'Anonymous') and $is-named='0') or 
					(key('system-param', 'ui_groups')/group[contains(concat(' ', $visibility, ' '), concat(' ', @id, ' ')) and 
					contains(  key('session-param', 'uig'), concat(' ', @id, ' '))])"/>
		</out:template>
	</xsl:template>
	

		
	<!-- Builds ready to go HTML markup for one action (tool). -->
	<xsl:template name="buildActionMarkUp">
		<xsl:param name="tool"/>		
		<div class="welcomeToolContainerNormal" tabindex="0" accessKey="1" 
			onmouseover="this.className='welcomeToolContainerOver'" 
			onfocus="this.className='welcomeToolContainerOver'"
			onmouseout="this.className='welcomeToolContainerNormal'"
			onblur="this.className='welcomeToolContainerNormal'">		
			<out:attribute name="title">
				<xsl:copy-of select="$tool/body"/>
			</out:attribute>			
			<xsl:if test="$tool/action">
				<out:attribute name="onclick">
					<xsl:value-of select="$tool/action"/>
				</out:attribute>
				<out:attribute name="onkeypress">if(event.keyCode==9)return true;
					<xsl:value-of select="$tool/action"/>
				</out:attribute>
			</xsl:if>			
			<table  border="0" width="100%" cellpadding="0" cellspacing="0">
				<tr>
					<td class="welcomeToolIconContainer">						
						<img>
							<out:attribute name="alt"><xsl:copy-of select="$tool/heading"/></out:attribute>
							<xsl:copy-of select="$tool/out:attribute"/>
						</img>						
					</td>
					<td class="welcomeToolHeadingContainer"><xsl:copy-of select="$tool/heading/child::node()"/></td>
				</tr>			
			</table>	
		</div>		
	</xsl:template>
	
	
	<!-- Builds ready to go HTML markup for custom welcome tools -->
	<xsl:template name="buildCustomActionMarkUp">
		<xsl:param name="tool"/>
		<div class="welcomeToolContainer">
			<div class="welcomeToolHeading">
				<xsl:copy-of select="$tool/heading"/>
			</div>
			<div class="welcomeToolDescription">
				<xsl:copy-of select="$tool/body"/>
			</div>
		</div>		
	</xsl:template>
	
	
	<xsl:template match="*">
		<xsl:copy>
			<xsl:copy-of select="@*"/>
			<xsl:apply-templates/>
		</xsl:copy>
	</xsl:template>
</xsl:stylesheet>