<?xml version="1.0" encoding="UTF-8"?>
<!--
	Copyright (C) 2008 Cognos ULC, an IBM Company. All rights reserved.
	Cognos (R) is a trademark of Cognos ULC, (formerly Cognos Incorporated).
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:encodingUtils="com.cognos.portal.utils.EncodingUtils" xmlns:xtsext="xalan://com.cognos.xts.ext.XTSExt" exclude-result-prefixes="encodingUtils xtsext">
	<xsl:output method="html" version="1.0" encoding="UTF-8" indent="no"/>
	<xsl:template match="/">
		<xsl:apply-templates select="root/logic/header"/>
	</xsl:template>

	<xsl:template match="header">
		<table id="_THIS_bannerTable" class="cogstyle-header-main" cellpadding="0" cellspacing="0" border="0">
			<xsl:if test="string(@background) != ''">
				<xsl:attribute name="style">background-image:url(<xsl:value-of select="@background"/>);</xsl:attribute>
			</xsl:if>
			<tr>
				<td class="cogstyle-header-logo-section">
					<div class="cogstyle-header-logo"/>
				</td>
				<td class="cogstyle-header-left-section">
					<span class="cogstyle-header-title"><xsl:value-of select="@title"/></span>
				</td>
				<td class="cogstyle-header-middle-section"><div class="cogstyle-header-middle-section-spacer"></div></td>
				<td class="cogstyle-header-right-section">
					<div class="cogstyle-header-right-section-container">
						<table cellpadding="0" cellspacing="0" border="0">
							<tr>
								<td>
									<img height="22px" width="1px" src="_THIS?frag-resource=/fragments/common/images/space.gif/THIS_"/>
								</td>
								<xsl:apply-templates/>
								<td class="cogstyle-header-section-item-padding"/>
							</tr>
						</table>
					</div>
				</td>
			</tr>
		</table>
	</xsl:template>

	<xsl:template match="section">
		<xsl:if test="descendant::*"> <!-- Skip the section entirely if it is empty -->
			<xsl:if test="local-name(preceding-sibling::*[1]) = 'section'">
				<td class="cogstyle-header-separator">
					<img align="top" border="0" height="16px" width="1px">
						<xsl:attribute name="src">
							<xsl:text>_THIS?frag-resource=/skins/</xsl:text>
							<xsl:value-of select="/root/logic/session/param[@name='skin']"/>
							<xsl:text>/shared/images/tool_sep_dot_line_banner.gif/THIS_</xsl:text>
						</xsl:attribute>
					</img>
				</td>
			</xsl:if>
			<td class="cogstyle-header-section">
				<table cellpadding="0" cellspacing="0" border="0">
					<tr>
						<xsl:for-each select="./*">
							<xsl:variable name="cell-class">
								<xsl:text>cogstyle-header-section-item</xsl:text>
								<xsl:if test="position()!=1">
									<xsl:text> cogstyle-header-section-item-padding</xsl:text>
								</xsl:if>
							</xsl:variable>
							<td class="{$cell-class}">
								<xsl:apply-templates select="."/>
							</td>
						</xsl:for-each>
					</tr>
				</table>
			</td>
		</xsl:if>
	</xsl:template>

	<xsl:template match="username">
		<div class="cogstyle-header-user-id">
			<xsl:value-of select="."/>
		</div>
	</xsl:template>

	<xsl:template match="icon">
		<div tabindex="0" class="cogstyle-header-btn-normal" onmouseover="this.className='cogstyle-header-btn-over';" onmouseout="this.className='cogstyle-header-btn-normal';" onkeypress="if(event.keyCode==9)return true;{action}" onclick="{action}">
			<img align="top" border="0" height="16" width="16">
				<xsl:attribute name="src">
					<xsl:text>_THIS?frag-resource=</xsl:text>
					<xsl:value-of select="image"/>
					<xsl:text>/THIS_</xsl:text>
				</xsl:attribute>
				<xsl:if test="string(tooltip) != ''">
					<xsl:attribute name="alt">
						<xsl:value-of select="tooltip"/>
					</xsl:attribute>
					<xsl:attribute name="title">
						<xsl:value-of select="tooltip"/>
					</xsl:attribute>
				</xsl:if>
			</img>
		</div>
	</xsl:template>

	<xsl:template match="search">
		<form name="_THIS_searchForm" action="javascript:{action}">
			<span style="padding-right: 3px;">
				<input style="margin-top: -3px;" class="cogstyle-input-text" name="_THIS_searchText" value="" size="20" type="text"/>
			</span>
			<xsl:apply-templates/>
		</form>
	</xsl:template>

	<xsl:template match="action">
		<!-- Swallow action tags as they are processed by their parents. -->
	</xsl:template>
	
	<xsl:template match="link">
		<a class="cogstyle-header-link cogstyle-header-menu-label" href="javascript:noop();" onClick="{action};return false;" onmouseover="window.status='';return true;"><xsl:value-of select="label"/></a>
	</xsl:template>

	<xsl:template match="menu">
		<xsl:variable name="menuName" select="concat('_THIS_',string(@id))"/>
		<xsl:variable name="hasAction" select="string(action) != ''"/>
		<xsl:variable name="defaultAction">
			<xsl:choose>
				<xsl:when test="$hasAction">
					<xsl:value-of select="action"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:text>ui_menuShow(event,</xsl:text><xsl:value-of select="$menuName"/><xsl:text>);</xsl:text>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<div style="cursor: pointer;">
			<xsl:if test="not($hasAction)">
				<xsl:attribute name="class">cogstyle-header-btn-normal</xsl:attribute>
				<xsl:attribute name="onmouseover">this.className='cogstyle-header-btn-over';</xsl:attribute>
				<xsl:attribute name="onmouseout">this.className='cogstyle-header-btn-normal';</xsl:attribute>
				<xsl:attribute name="tabindex">0</xsl:attribute>
				<xsl:attribute name="onkeypress">if(event.keyCode==9)return true;<xsl:value-of select="$defaultAction"/></xsl:attribute>
				<xsl:attribute name="onclick"><xsl:value-of select="$defaultAction"/></xsl:attribute>
			</xsl:if>
			<table cellpadding="0" border="0" cellspacing="0">
				<tr>
					<xsl:choose>
						<xsl:when test="icon">
							<td>
								<xsl:if test="$hasAction">
									<xsl:attribute name="class">cogstyle-header-btn-normal</xsl:attribute>
									<xsl:attribute name="onmouseover">this.className='cogstyle-header-btn-over';</xsl:attribute>
									<xsl:attribute name="onmouseout">this.className='cogstyle-header-btn-normal';</xsl:attribute>
									<xsl:attribute name="tabindex">0</xsl:attribute>
									<xsl:attribute name="onkeypress">if(event.keyCode==9)return true;<xsl:value-of select="$defaultAction"/></xsl:attribute>
									<xsl:attribute name="onclick"><xsl:value-of select="$defaultAction"/></xsl:attribute>
								</xsl:if>
								<img align="top" border="0" height="16" width="16">
									<xsl:attribute name="src">
										<xsl:text>_THIS?frag-resource=</xsl:text>
										<xsl:value-of select="icon/image"/>
										<xsl:text>/THIS_</xsl:text>
									</xsl:attribute>
									<xsl:if test="string(icon/tooltip) != ''">
										<xsl:attribute name="alt">
											<xsl:value-of select="icon/tooltip"/>
										</xsl:attribute>
										<xsl:attribute name="title">
											<xsl:value-of select="icon/tooltip"/>
										</xsl:attribute>
									</xsl:if>
								</img>
							</td>
							<xsl:if test="not($hasAction)">
								<td class="cogstyle-header-menu-spacer"/>
							</xsl:if>
						</xsl:when>
						<xsl:otherwise>
							<td>
								<div class="cogstyle-header-menu-label-link">
									<xsl:if test="$hasAction"><xsl:attribute name="onclick"><xsl:value-of select="$defaultAction"/></xsl:attribute></xsl:if>
									<xsl:value-of select="label"/>
								</div>
							</td>
							<td class="cogstyle-header-menu-spacer"/>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:if test="not($hasAction)">
						<td class="cogstyle-header-menu-spacer"/>
					</xsl:if>
					<td>
						<xsl:if test="$hasAction">
							<xsl:attribute name="class">cogstyle-header-btn-normal</xsl:attribute>
							<xsl:attribute name="onmouseover">this.className='cogstyle-header-btn-over';</xsl:attribute>
							<xsl:attribute name="onmouseout">this.className='cogstyle-header-btn-normal';</xsl:attribute>
							<xsl:attribute name="tabindex">0</xsl:attribute>
							<xsl:attribute name="onkeypress">if(event.keyCode==9)return true;ui_menuShow(event,<xsl:value-of select="$menuName"/>);</xsl:attribute>
							<xsl:attribute name="onclick">ui_menuShow(event,<xsl:value-of select="$menuName"/>);</xsl:attribute>
						</xsl:if>
						<img align="top" border="0">
							<xsl:attribute name="src">
								<xsl:text>_THIS?frag-resource=/skins/</xsl:text>
								<xsl:value-of select="/root/logic/session/param[@name='skin']"/>
								<xsl:text>/shared/images/dropdown_arrow_banner.gif/THIS_</xsl:text>
							</xsl:attribute>
							<xsl:if test="string(tooltip) != ''">
								<xsl:attribute name="alt">
									<xsl:value-of select="tooltip"/>
								</xsl:attribute>
								<xsl:attribute name="title">
									<xsl:value-of select="tooltip"/>
								</xsl:attribute>
							</xsl:if>
						</img>
					</td>
				</tr>
			</table>
		</div>
		<script type="text/javascript">
			var <xsl:value-of select="$menuName"/> = new ui_menu({id: "<xsl:value-of select="$menuName"/>", items:[
				<xsl:for-each select="item">
					<xsl:if test="position() > 1">,</xsl:if>
					<xsl:text>{title: "</xsl:text><xsl:value-of select="xtsext:javascriptencode(label)"/><xsl:text>"</xsl:text>
					<xsl:if test="position() > 1 and local-name(preceding-sibling::*[1]) = 'separator'">
						<xsl:text>, separatorBefore: true</xsl:text>
					</xsl:if>
					<xsl:if test="string(image) != ''">
						<xsl:text>, image: "</xsl:text><xsl:value-of select="xtsext:javascriptencode(image)"/><xsl:text>"</xsl:text>
					</xsl:if>
					<xsl:text>, action: function(evt) { </xsl:text>
					<xsl:value-of select="action"/>
					<xsl:text> } }</xsl:text>
				</xsl:for-each>
			]
			});
		</script>
	</xsl:template>

	<xsl:template match="script">
		<script type="text/javascript">
			<xsl:value-of select="."/>
		</script>
	</xsl:template>
	
	<xsl:template match="form">
		<xsl:copy>
			<xsl:copy-of select="@*"/>
			<xsl:copy-of select="*"/>
		</xsl:copy>
	</xsl:template>
</xsl:stylesheet>